# Setting

The story unfolds inside the Fediverse, where different houses (instances) are maintained by their mascots.

The script is divided in 3 general parts:
- Introduction to the fediverse
- Journey through the unknown
- Conflict with the other side

# Plot

## Introduction (Chapter 1)

- MainCharacter (MC) decides to install Pleroma.
- MC gets pulled into the Fediverse by Pleroma-tan's antics.
- Pleroma-tan lightly reveals her struggles with bullying from Mastodon folks, setting the initial conflict.

## Journey through Instances (Chapter 2)

- MC and Pleroma-tan embark on a walk around some instances to get to know some people and make MC understand the fediverse.
- They visit different instances, meeting Grumbulon and Weeble, learning about their quirks, they may or may not join the gang.

## Conflict Resolution (Chapter 3)

- Together, the group addresses Pleroma's issues with Mastodon users, promoting understanding and friendship.
- Humorous encounters and light-hearted moments ensue as they navigate the peculiarities of each instance.
- Two climactic endings events involving all the mascots and MC, where they confront the source of the conflict and work towards a resolution.

## Graphs

```mermaid

graph TD

subgraph "Introduction (Chapter 1)"
    A[MC decides to install Pleroma] --> B[Pleroma-tan appears on the screen]
    B --> C[Pleroma-tan begins to slowly reveal struggles]
    C --> E[MC gets pulled into the Fediverse by Pleroma-tan]
    E --> F[Chapter 2]
  end

```

```mermaid
flowchart TD

subgraph "Journey through Instances (Chapter 2)"
    F[MC and Pleroma-tan embark on a walk around instances] --> G[Where should we go?]
    G -->|Meet| H(Grumbulon)
    G -->|Meet| I(Weeble)
    H --> J[Grumbulon joins the group] --> G
    I --> K[Weeble decides to stay] --> G
    G -->|If met the two of them| L[Chapter 3]
  end
```

```mermaid
flowchart TD

subgraph "Conflict Resolution (Chapter 3)"
    I[Group goes to see Mastodon users]
    I -->|They get blocked| J[Pleroma-tan feels bad for MC]
    J -->|Hug her| K[Pleroma-tan gets hugged by MC - Canon ending]
    J -->|Nuke Mastodon| L[She looks at him, bitchslaps him and the novel ends]
  end
```



# Characters

A more detailed explanation can be found in the [lorebook](lorebook.md)

1. **Pleroma-tan:**

   - Represents the Pleroma software, with a mix of vulnerability and determination.
2. **Grumbulon:**

   - A quirky cat managing an instance, adding comic relief and wisdom to the group.
3. **Weeble:**

   - A cheerful girl managing another instance.
4. **MC:**

   - The player's character, reacting to the absurdities of the Fediverse.

# Humor

- Incorporate internet memes, software jokes, and playful banter between characters.
- Break the fourth wall occasionally for comedic effect, acknowledging the visual novel format.

# Main idea

- How the does an exessive amount of moderation affects the people that live in the grey or neutral areas?

